Rem Copyright (c) 1990, 2006, Oracle. All rights reserved.  
Rem NAME
REM    UTLSAMPL.SQL
Rem  FUNCTION
Rem  NOTES
Rem  MODIFIED
Rem     lburgess   04/02/06  - lowercase passwords 
Rem     menash     02/21/01 -  remove unnecessary users for security reasons
Rem     gwood      03/23/99 -  make all dates Y2K compliant
Rem     jbellemo   02/27/97 -  dont connect as system
Rem     akolk      08/06/96 -  bug 368261: Adding date formats
Rem     glumpkin   10/21/92 -  Renamed from SQLBLD.SQL 
Rem     blinden   07/27/92 -  Added primary and foreign keys to EMP and DEPT
Rem     rlim       04/29/91 -         change char to varchar2 
Rem     mmoore     04/08/91 -         use unlimited tablespace priv 
Rem     pritto     04/04/91 -         change SYSDATE to 13-JUL-87 
Rem   Mendels    12/07/90 - bug 30123;add to_date calls so language independent
Rem
rem 
rem $Header: utlsampl.sql 02-apr-2006.21:13:01 lburgess Exp $ sqlbld.sql 
rem 
SET TERMOUT OFF
SET ECHO OFF

rem CONGDON    Invoked in RDBMS at build time.   29-DEC-1988
rem OATES:     Created: 16-Feb-83
 
rem DROP USER SCOTT CASCADE;
rem DROP USER ADAMS CASCADE;
rem DROP USER JONES CASCADE;
rem DROP USER CLARK CASCADE;
rem DROP USER BLAKE CASCADE;
rem GRANT CONNECT,RESOURCE,UNLIMITED TABLESPACE TO SCOTT IDENTIFIED BY tiger;
rem DROP PUBLIC SYNONYM PARTS;

rem CONNECT SCOTT/tiger

drop table EMP  ;
drop table BONUS ;
drop table SALGRADE ;
drop table DEPT ;

CREATE TABLE DEPT
       (DEPTNO NUMBER(2) CONSTRAINT PK_DEPT PRIMARY KEY,
	DNAME VARCHAR2(20) ,
	LOC VARCHAR2(20) ) ;
CREATE TABLE EMP
       (EMPNO NUMBER(4) CONSTRAINT PK_EMP PRIMARY KEY,
	ENAME VARCHAR2(20),
	JOB VARCHAR2(30),
	MGR NUMBER(4),
	HIREDATE VARCHAR2(14),
	SAL NUMBER(7,2),
	COMM NUMBER(7,2),
	DEPTNO NUMBER(2));
rem	HIREDATE DATE,
rem 	DEPTNO NUMBER(2) CONSTRAINT FK_DEPTNO REFERENCES DEPT);
INSERT INTO DEPT VALUES	(10,'o'	,'j[[N');
INSERT INTO DEPT VALUES (20,'J','_X');
INSERT INTO DEPT VALUES	(30,'cƕ'	,'VJS');
INSERT INTO DEPT VALUES	(40,'Ɩ'	,'{Xg');

INSERT INTO EMP VALUES
(7369,'X~X','',7902,TO_CHAR(to_date('17-12-1980','dd-mm-yyyy'),'yyyymmddhh24miss'),800,NULL,20);
INSERT INTO EMP VALUES
(7499,'A','c',7698,TO_CHAR(to_date('20-2-1981','dd-mm-yyyy'),'yyyymmddhh24miss'),1600,300,30);
INSERT INTO EMP VALUES
(7521,'[h','c',7698,TO_CHAR(to_date('22-2-1981','dd-mm-yyyy'),'yyyymmddhh24miss'),1250,500,30);
INSERT INTO EMP VALUES
(7566,'W[Y','}l[W[',7839,TO_CHAR(to_date('2-4-1981','dd-mm-yyyy'),'yyyymmddhh24miss'),2975,NULL,20);
INSERT INTO EMP VALUES
(7654,'}[eB','c',7698,TO_CHAR(to_date('28-9-1981','dd-mm-yyyy'),'yyyymmddhh24miss'),1250,1400,30);
INSERT INTO EMP VALUES
(7698,'u[N','}l[W[',7839,TO_CHAR(to_date('1-5-1981','dd-mm-yyyy'),'yyyymmddhh24miss'),2850,NULL,30);
INSERT INTO EMP VALUES
(7782,'N[N','}l[W[',7839,TO_CHAR(to_date('9-6-1981','dd-mm-yyyy'),'yyyymmddhh24miss'),2450,NULL,10);
INSERT INTO EMP VALUES
(7788,'XRbg','AiXg',7566,TO_CHAR(to_date('13-JUL-87','dd-mm-rr')-85,'yyyymmddhh24miss'),3000,NULL,20);
INSERT INTO EMP VALUES
(7839,'LO','В',NULL,TO_CHAR(to_date('17-11-1981','dd-mm-yyyy'),'yyyymmddhh24miss'),5000,NULL,10);
INSERT INTO EMP VALUES
(7844,'^[i[','c',7698,TO_CHAR(to_date('8-9-1981','dd-mm-yyyy'),'yyyymmddhh24miss'),1500,0,30);
INSERT INTO EMP VALUES
(7876,'A_X','',7788,TO_CHAR(to_date('13-JUL-87', 'dd-mm-rr')-51,'yyyymmddhh24miss'),1100,NULL,20);
INSERT INTO EMP VALUES
(7900,'WF[X','',7698,TO_CHAR(to_date('3-12-1981','dd-mm-yyyy'),'yyyymmddhh24miss'),950,NULL,30);
INSERT INTO EMP VALUES
(7902,'tH[h','AiXg',7566,TO_CHAR(to_date('3-12-1981','dd-mm-yyyy'),'yyyymmddhh24miss'),3000,NULL,20);
INSERT INTO EMP VALUES
(7934,'~[','',7782,TO_CHAR(to_date('23-1-1982','dd-mm-yyyy'),'yyyymmddhh24miss'),1300,NULL,10);
CREATE TABLE BONUS
	(
	ENAME VARCHAR2(20)	,
	JOB VARCHAR2(30)  ,
	SAL NUMBER,
	COMM NUMBER
	) ;
CREATE TABLE SALGRADE
      ( GRADE NUMBER,
	LOSAL NUMBER,
	HISAL NUMBER );
INSERT INTO SALGRADE VALUES (1,700,1200);
INSERT INTO SALGRADE VALUES (2,1201,1400);
INSERT INTO SALGRADE VALUES (3,1401,2000);
INSERT INTO SALGRADE VALUES (4,2001,3000);
INSERT INTO SALGRADE VALUES (5,3001,9999);

INSERT INTO BONUS
 (ENAME,JOB,SAL,COMM)
SELECT ENAME,JOB,SAL*2.3,COMM*1.5 FROM EMP ;


COMMIT;
EXIT
